Đến nội dung


Hình ảnh
- - - - -

[ yêu cầu ] các bác sửa hộ e cái líp biến đường tròn thành điểm


  • Please log in to reply
3 replies to this topic

#1 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 132 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 10 June 2012 - 03:05 PM

e có cái líp chuyển đường tròn thành điểm như trong code . nhưng khổ cái là khi thực thi lệnh thì nó chuyển tất cả các đường tròn kể cả những đường tròn mà mình ko mong muốn , chứ nó ko cho mình chọn những đường tròn mình chuyển . mong các bác sửa hộ e cái líp này để nó có thể cho mình chọn những đối tượng cần làm việc
em cảm ơn các bác .


(defun Chon()
(setq ss (ssget "x" '((0 . "Circle"))))
(princ (sslength ss))
(princ " §èi t­îng ®· chän ®­îc")
(princ)
(setq soluong (sslength ss))
(while (> soluong 0)
(setq soluong (1- soluong))
(setq tamtron (assoc 10 (entget(ssname ss soluong))))


(entmake (list (cons 0 "POINT") tamtron ))


)

)


  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 10 June 2012 - 03:22 PM

Bỏ chữ "x" sau hàm ssget đi.
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 132 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 10 June 2012 - 03:46 PM

thế này đã đúng chưa bác nhỉ



(defun Chon()
(setq ss (ssget "" '((0 . "Circle"))))
(princ (sslength ss))
(princ " §èi t­îng ®· chän ®­îc")
(princ)
(setq soluong (sslength ss))
(while (> soluong 0)
(setq soluong (1- soluong))
(setq tamtron (assoc 10 (entget(ssname ss soluong))))


(entmake (list (cons 0 "POINT") tamtron ))


)

)


  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 10 June 2012 - 03:49 PM

Bạn bỏ cả dấu "" đi. Mình làm thấy nó vẫn lỗi tức là chưa đúng chứ sao :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC